{% extends 'index.html' %}

{% block meta %}
<style>
	.img-fluid {
	  object-fit: cover;
	  width: 700px;
	  height: 400px;
	}
	#jumbotron{
		padding: 0px 0 0px;
	}
</style>
{% endblock %}

{% block content %}
	<!-- Start All Pages -->
	<div class="all-page-title page-breadcrumb" id="jumbotron">
		<div class="container text-center">
			<div class="row">
				<div class="col-lg-12">
					{% if resep_detail.foto %}
							<img src="{{ resep_detail.foto.url }}" class="img-fluid" alt={{resep_detail.nama}}>
						{% endif %}

				</div>
			</div>
		</div>
	</div>
	<!-- End All Pages -->
	
	<!-- Start blog details -->
	<div class="blog-box">
		<div class="container">
			<div class="row">
				<div class="col-lg-12">
					<div class="heading-title text-center">
						<h2>{{resep_detail.nama}}</h2>
						<p>by : {{resep_detail.penulis}}</p>
					</div>
				</div>
			</div>
			<div class="row">
				<div class="col-xl-8 col-lg-8 col-12">
					<div class="blog-inner-details-page">
						<div class="blog-inner-box">
							<div class="inner-blog-detail details-page">
								<ul>
									<li><i class="zmdi zmdi-account"></i>Portion : <span>{{resep_detail.porsi}}</span></li>
									<li>|</li>
									<li><i class="zmdi zmdi-time"></i>Time : <span>{{resep_detail.durasi}}</span></li>
								</ul>
								<h3>Instructions</h3>
								{{resep_detail.langkah|linebreaks}}
							</div>
						</div>

						<h3><b>Komentar</b></h3>
						<div id="komentar" url = "{% url 'add:json' resep_detail.id%}" >
							<!-- json -->
						</div>

						<div class="comment-respond-box">
							<div class="comment-respond-form">
								<form id="commentrespondform" class="comment-form-respond row" method="post">
									{% csrf_token %}
									<div class="col-lg-6 col-md-6 col-sm-6">
										<div class="form-group">
											{{komentarform.message}}
										</div>
									</div>
									<div class="col-lg-12 col-md-12 col-sm-12">
										<input type="submit" class="btn btn-submit" id="komen-submit"></input>
									</div>
								</form>
							</div>
						</div>
					</div>
				</div>
			
				<div class="col-xl-4 col-lg-4 col-md-6 col-sm-8 col-12 blog-sidebar">
						<h3>Ingredients</h3>
						{{resep_detail.bahan|linebreaks}}	
					</div>
				</div>
			
			</div>
		</div>
	</div>
	<!-- End details -->
{% endblock %}
